Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#65478 - [mercurial] package is unnecessarily built with and depends on python2 instead of python

Attached to Project: Arch Linux
Opened by lily wilson (hotaru) - Thursday, 13 February 2020, 02:16 GMT
Last edited by Eli Schwartz (eschwartz) - Thursday, 13 February 2020, 02:47 GMT
Task Type General Gripe
Category Packages: Extra
Status Closed
Assigned To No-one
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 5
Private No

Details

Description:
the current version of Mercurial should work just fine with Python 3: https://www.mercurial-scm.org/wiki/Python3

Arch's Mercurial package is currently built with and depends on python2. if this is fixed, there would no longer be a dependency on python2 from devtools.
This task depends upon

Closed by  Eli Schwartz (eschwartz)
Thursday, 13 February 2020, 02:47 GMT
Reason for closing:  Won't implement
Additional comments about closing:  It's known to not work according to that very page.
Comment by Eli Schwartz (eschwartz) - Thursday, 13 February 2020, 02:47 GMT
> Mercurial 5.2 is the first release that officially has support for Python 3. Supported Python 3 versions are 3.5, 3.6, and 3.7. Python 3.8 mostly works, but there are a few known incompatibilities. Mercurial with Python 3 on Windows is not yet widely tested and there are some known issues.

Surprise, we use python 3.8!

We already tried out python3, then we switched back to python2 in https://git.archlinux.org/svntogit/packages.git/commit/trunk?h=packages/mercurial&id=d593da00295e74b412cb50875200370a411da6c1

Loading...